curl -X GET "https://api.cngn.co/v1/api/withdraw/verify/WD-7f3a2b1c" \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch(
`https://api.cngn.co/v1/api/withdraw/verify/${trxRef}`,
{ headers: { Authorization: `Bearer ${API_KEY}` } }
);
res = requests.get(
f"https://api.cngn.co/v1/api/withdraw/verify/{trx_ref}",
headers={"Authorization": f"Bearer {API_KEY}"},
)
{
"status": 200,
"message": "Transaction fetched successfully",
"data": {
"id": "9f8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d",
"from": "Acme Ltd",
"receiver": { "address": "0x8Ba1f109551bD432803012645Ac136ddd64DBA72" },
"amount": "25000.00",
"description": "Withdrawal to external wallet",
"createdAt": "2026-07-20T14:32:11.000Z",
"trx_ref": "WD-7f3a2b1c",
"trx_type": "withdrawal",
"network": "Base",
"asset_type": "credit_alphanum4",
"asset_symbol": "CNGN",
"base_trx_hash": "0x4a5b...e9f0",
"extl_trx_hash": null,
"explorer_link": "https://basescan.org/tx/0x4a5b...e9f0",
"status": "success"
}
}
{
"status": 400,
"message": "Transaction not found"
}
On-Chain Transfers
Verify Withdrawal
Check the status of a withdrawal by its transaction reference
GET
/
v1
/
api
/
withdraw
/
verify
/
{tnxRef}
curl -X GET "https://api.cngn.co/v1/api/withdraw/verify/WD-7f3a2b1c" \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch(
`https://api.cngn.co/v1/api/withdraw/verify/${trxRef}`,
{ headers: { Authorization: `Bearer ${API_KEY}` } }
);
res = requests.get(
f"https://api.cngn.co/v1/api/withdraw/verify/{trx_ref}",
headers={"Authorization": f"Bearer {API_KEY}"},
)
{
"status": 200,
"message": "Transaction fetched successfully",
"data": {
"id": "9f8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d",
"from": "Acme Ltd",
"receiver": { "address": "0x8Ba1f109551bD432803012645Ac136ddd64DBA72" },
"amount": "25000.00",
"description": "Withdrawal to external wallet",
"createdAt": "2026-07-20T14:32:11.000Z",
"trx_ref": "WD-7f3a2b1c",
"trx_type": "withdrawal",
"network": "Base",
"asset_type": "credit_alphanum4",
"asset_symbol": "CNGN",
"base_trx_hash": "0x4a5b...e9f0",
"extl_trx_hash": null,
"explorer_link": "https://basescan.org/tx/0x4a5b...e9f0",
"status": "success"
}
}
{
"status": 400,
"message": "Transaction not found"
}
Fetches the full transaction record for a withdrawal, including its on-chain hash and current status. Use this to confirm settlement after calling Withdraw.
Response (decrypted
Returns a full transaction object, the same shape as items in Get Transactions.
Path parameters
Response (decrypted data)
Returns a full transaction object, the same shape as items in Get Transactions.
curl -X GET "https://api.cngn.co/v1/api/withdraw/verify/WD-7f3a2b1c" \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch(
`https://api.cngn.co/v1/api/withdraw/verify/${trxRef}`,
{ headers: { Authorization: `Bearer ${API_KEY}` } }
);
res = requests.get(
f"https://api.cngn.co/v1/api/withdraw/verify/{trx_ref}",
headers={"Authorization": f"Bearer {API_KEY}"},
)
{
"status": 200,
"message": "Transaction fetched successfully",
"data": {
"id": "9f8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d",
"from": "Acme Ltd",
"receiver": { "address": "0x8Ba1f109551bD432803012645Ac136ddd64DBA72" },
"amount": "25000.00",
"description": "Withdrawal to external wallet",
"createdAt": "2026-07-20T14:32:11.000Z",
"trx_ref": "WD-7f3a2b1c",
"trx_type": "withdrawal",
"network": "Base",
"asset_type": "credit_alphanum4",
"asset_symbol": "CNGN",
"base_trx_hash": "0x4a5b...e9f0",
"extl_trx_hash": null,
"explorer_link": "https://basescan.org/tx/0x4a5b...e9f0",
"status": "success"
}
}
{
"status": 400,
"message": "Transaction not found"
}
⌘I